AVERAGE-DOT(1)

NAME
average-dot.pl

SYNOPSIS
average-dot.pl [options] --alignment <pp-file> --sequences <pp-file 1> --sequences <pp-file 2>...

Options:
   --help brief help message

   --man                full documentation

   --verbose            be verbose

   --quiet              be quiet

   --alignment <file>   pp file representing the (Lo)Carna alignment

   --sequences <file>   pp files for the input sequences

   --outfile <file>     output file (DEFAULT: averagedot)

   --threshold <float>  for each given threshold (this option can be specified more than once)
                        a copy of the orginal dotplots is created where the dots are
                        highlighted that have in the average plot a probability above the
                        threshold.

EXAMPLE
The following call

./average-dot.pl -t 0.2 -t 0.5 -t 0.75 -a result.pp -s seq1 -s seq2 -s seq3

creates given a result.pp (as found in the folder "results" of mlocarna) and input pp files seq1 seq2 seq3 (as found in the folder "input" of mlocarna) the following files

averagedot_comb_20.pp # average dot plot of the sequences where dots >=0.2 are highlighted averagedot_comb_50.pp # average dot plot of the sequences where dots >=0.5 are highlighted averagedot_comb_75.pp # average dot plot of the sequences where dots >=0.75 are highlighted

seq1.pp # dot plot of sequence 1 projected to the alignment with no highlights seq1_comb_20.pp # dot plot of sequence 1 projected to the alignment and dots highlighted
                # that occur in the average with a probability >=0.2
                # in the lower right triangle the average with colored variance info is given seq1_comb_50.pp # ... same as previous for probability >=0.5 seq1_comb_75.pp # ... same as previous for probability >=0.5

+ analogous files for seq2 and seq3

All pp files have to be in format "PP 2.0"!

DESCRIPTION